package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 备忘录(JMemorandum)表实体类
 *
 * @author makejava
 * @since 2024-03-26 10:34:03
 */
@ApiModel("备忘录表")
@TableName(value = "j_memorandum")
@Data
public class JMemorandum {
    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;
    /**
     * 项目表关联id
     */
    @ApiModelProperty("项目表关联id")
    private Long projectId;
    /**
     * 名字
     */
    @ApiModelProperty("名字")
    private String name;

    /**
     * 主题/关键字
     */
    @ApiModelProperty("主题/关键字")
    private String keywords;
    /**
     * 备忘内容
     */
    @ApiModelProperty("备忘内容")

    private String content;

    private Long createId;

    private String createBy;


    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date createTime;

    private Long updateId;

    private String updateBy;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private Date updateTime;
}

