package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.mapper.JProjectMapper;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.service.JProjectService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 项目表(JProject)表服务实现类
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
@Service("jProjectService")
public class JProjectServiceImpl extends ServiceImpl<JProjectMapper, JProject> implements JProjectService {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jProject 查询实体
     * @return 所有数据
     */
    @Override
    public Page<JProject> page(Page<JProject> page, JProject jProject) {
        return baseMapper.page(page,jProject);
    }

}

